import { jsx as _jsx, jsxs as _jsxs } from "@emotion/react/jsx-runtime";
import PropTypes from "prop-types";
import { useTheme } from "../../Theme/Providers";
export const IconCrop = ({ color: providedColor, size: providedSize = "md", ...other }) => {
    const theme = useTheme();
    const size = typeof providedSize === "string"
        ? theme.iconSizes[providedSize]
        : providedSize;
    const color = providedColor || theme.colors.text.default;
    return (_jsxs("svg", Object.assign({ viewBox: "0 0 24 24", fill: "none", stroke: color, strokeWidth: "2", strokeLinecap: "round", strokeLinejoin: "round", height: size, width: size }, other, { children: [_jsx("path", { d: "M6.13 1L6 16a2 2 0 0 0 2 2h15" }, void 0),
            _jsx("path", { d: "M1 6.13L16 6a2 2 0 0 1 2 2v15" }, void 0)] }), void 0));
};
IconCrop.propTypes = {
    color: PropTypes.string,
    size: PropTypes.oneOfType([
        PropTypes.oneOf(["xs", "sm", "md", "lg", "xl"]),
        PropTypes.number
    ])
};
//# sourceMappingURL=IconCrop.js.map