import { jsx as _jsx, jsxs as _jsxs } from "@emotion/react/jsx-runtime";
import PropTypes from "prop-types";
import { useTheme } from "../../Theme/Providers";
export const IconWifi = ({ color: providedColor, size: providedSize = "md", ...other }) => {
    const theme = useTheme();
    const size = typeof providedSize === "string"
        ? theme.iconSizes[providedSize]
        : providedSize;
    const color = providedColor || theme.colors.text.default;
    return (_jsxs("svg", Object.assign({ viewBox: "0 0 24 24", fill: "none", stroke: color, strokeWidth: "2", strokeLinecap: "round", strokeLinejoin: "round", height: size, width: size }, other, { children: [_jsx("path", { d: "M5 12.55a11 11 0 0 1 14.08 0" }, void 0),
            _jsx("path", { d: "M1.42 9a16 16 0 0 1 21.16 0" }, void 0),
            _jsx("path", { d: "M8.53 16.11a6 6 0 0 1 6.95 0" }, void 0),
            _jsx("line", { x1: "12", y1: "20", x2: "12.01", y2: "20" }, void 0)] }), void 0));
};
IconWifi.propTypes = {
    color: PropTypes.string,
    size: PropTypes.oneOfType([
        PropTypes.oneOf(["xs", "sm", "md", "lg", "xl"]),
        PropTypes.number
    ])
};
//# sourceMappingURL=IconWifi.js.map