/** @jsxImportSource @emotion/react */
import * as React from "react";
interface LineColumnProps extends React.HTMLAttributes<HTMLDivElement> {
    /** 预计父窗口最大可以放下列数安排： must >=2 and <=5 */
    column?: number;
    /** The contents of the layer */
    children: React.ReactNode;
    breaks?: number[];
}
/**
 * 布局组件：最多5列的。
 * 1，2列，3列，4列，5列。
 * 父辈窗口屏幕宽度就算再大，也是只安排2 或3 或4 或5 个列的，布局思路。
  为了整齐对齐的需要；
 * 特别注意！！ LineColumn底下的子组件第一个div或者<tag>的样式请不要使用padding和margin的设置px; 就算要设置所有儿子也必须保持一致。
 * 用InputLineL来代替InputGroup因为其内部section默认padding:48px 20px所以会导致布局宽度分配不一致。
 */
export declare const LineColumn: React.FunctionComponent<LineColumnProps>;
export {};
