/** @jsxImportSource @emotion/react */
import * as React from "react";
import { ReferenceChildrenProps, PopperChildrenProps } from "react-popper";
export declare type Placements = "auto-start" | "auto" | "auto-end" | "top-start" | "top" | "top-end" | "right-start" | "right" | "right-end" | "bottom-end" | "bottom" | "bottom-start" | "left-end" | "left" | "left-start";
interface PositionsProps {
    /** Whether the item being positioned is visible */
    isOpen?: boolean;
    /** The placement of children */
    placement?: Placements;
    /** Use fixed positioning */
    /** The element our positioner is targetting (eg, Button) */
    target: (props: ReferenceChildrenProps) => React.ReactNode;
    /** The render callback which contains positioning and animation info */
    children: (props: PopperChildrenProps, state: any) => React.ReactNode;
}
export declare const Positioner: React.FunctionComponent<PositionsProps>;
export {};
