/** @jsxImportSource @emotion/react */
import * as React from "react";
interface RightMiniScreenAloneProps {
    children: React.ReactNode;
    back: React.ReactNode;
    title: string | React.ReactNode;
    menu?: React.ReactNode;
}
/**
 右半边页面的框架大组件：大屏幕独立右半边，小屏幕单独的有返回键退出右半边只保留左半边的页面路由去。
 页面在屏幕分成左右2大半了。左半边页面路由是指在小屏幕状态下只会展示左半边内容的URL，一般就是二级路由不带参数的情形。
 左半边一般显示大列表或者说是关联菜单性质；右半边一半才是二级路由带参数的中心目的显示内容，小屏幕只显示右半边，左半边靠URL返回。
构件库组件给其他人用的：不能用 export function RightMiniScreenAlone(props: RightMiniScreenAloneProps) {}这样写法的导致无法IDE自动添加依赖需手动加。
 * */
export declare const RightMiniScreenAlone: React.FunctionComponent<RightMiniScreenAloneProps>;
export {};
