import * as React from "react";
interface SpinnerProps extends React.HTMLAttributes<HTMLDivElement> {
    /** The delay (in ms) before the spinner will appear
    * delay这段时间内，也没办法点击页面按钮的,也要同步等待后端的应答返回来，用户才能继续操作。
    *  */
    delay?: number;
    size?: "xs" | "sm" | "md" | "lg" | "xl";
    /** Attempt to center the spinner in the parent element */
    center?: boolean;
    /** Use an optional label */
    label?: string;
    doing: boolean;
}
/** 替换LayerLoading功能；
 * 同步化处理 Spinner，
 * 执行操作不等待不可行啊，又不是查询，查询允许异步可以一块一块数据块的揭示出来，查询异步并发没伤害。
 *但是命令操作处理就不一样了，在后端应答之前，应当阻止用户操作， 防止业务逻辑混淆或错误。
 * 没有等待超时的机制？ 一直会等待；想要终止：用户主动得强制刷新URL，超过时间期限的操作无法撤销啊。
 * 假如用户强制刷新退出Spinner的，就无法保障后端服务器的操作结果能够正常通知用户了，一无所知了，用户只能主动查询了，新增加数据无法正常通知到位。
 *对比的是，异步模式用这个 <Suspense fallback={'Loading fallback...'}>  </Suspense>不用等待/可以并发的。
* */
export declare const Spinner: React.FunctionComponent<SpinnerProps>;
export {};
